#include "embd.h"
#include <stdio.h>
#include <stdarg.h>

void dologA(int level, const char *fmt, va_list ap)
{
    char buf[8192];

    if (level == LOG_DEBUG && debug < 1) return;

    vsnprintf(buf, sizeof(buf), fmt, ap);

    if (daemonized) syslog(LOG_LOCAL7|level, "%s", buf);
    else
    {
	FILE *out = (level == LOG_DEBUG || level == LOG_ERR ? stderr : stdout);
	fprintf(out, "[%6s] %s\n",
		level == LOG_DEBUG ?    "debug" :
		(level == LOG_ERR ?     "error" :
		 (level == LOG_WARNING ? "warn" :
		  (level == LOG_NOTICE ?  "notice" :
		   (level == LOG_INFO ?    "info" : "(!?)")))), buf);
    }
}

void dolog(int level, const char *fmt, ...)
{
    va_list ap;
    va_start(ap, fmt);
    dologA(level, fmt, ap);
    va_end(ap);
}

